exec("scripts/DuelMOD/config.cs");

package DuelMODInitialize
{
   // Tells T2 which missions will work with Duel mod, per $duelMission array
   function buildMissionList()
   {
      parent::buildMissionList();

      for ( %idxDuel = 0; %idxDuel < $HostTypeCount; %idxDuel++ )
         if ( $HostTypeName[%idxDuel] $= "Duel" )
            break;
            
      if (%idxDuel == $HostTypeCount)
      {
         $HostTypeName[%idxDuel] = "Duel";
         $HostTypeCount++;
         $HostMissionCount[%idxDuel] = 0;
      }

      for (%i = 0; %i < $duelMissionCount; %i++)
      {
         for (%j = 0; %j < $HostMissionCount; %j++)
            if ($HostMissionFile[%j] $= $duelMission[%i])
               break;

         if (%j != $HostMissionCount)
         {
            $HostMission[%idxDuel, $HostMissionCount[%idxDuel]] = %j;
            $HostMissionCount[%idxDuel]++;
         }
      }
      
      getMissionTypeDisplayNames();
   }
};

activatePackage(DuelMODInitialize);
